<style>
    .view-report
    {
        font-size: 20px;
        margin-bottom: 10px;
    }
</style>
<script type="text/javascript">
    $(document).ready(function () {

        // Set up variables to hold the reporting objects
        var report_def,
            report_instance,
            data_sources = [{
                id: 'datasource1',
                name: 'datasource1',
                schema_url: '<?= $params["report_schema_url"]; ?>',
                url: '<?= $params["report_data_url"]; ?>/_definition_',
            }];

        var report_name = '<?= $params["report_name"]; ?>';
        var report_data_id = '<?= $params["report_data_id"]; ?>';

        // To enable PDF download in IE9, set the path to the jsreports library
        jsreports.libraryPath = '/plugins/ims/management/widgets/report/assets/jsreports-all';

        // Load the report definition (here, a static file; in production, might be in a database)
        $.getJSON('<?= $params["report_definition_url"]; ?>', function (def) {
            report_def = def;
            // Now that we have the definition, we can run the report
            report_instance = jsreports.render({
                report_def: report_def,
                target: $(".report-output"),
                datasets: data_sources
            });
        });

        $(".edit-link").on("click", function () {

            // Initialize a designer to modify the report definition
            var designer = new jsreports.Designer({
                data_sources: data_sources,

                /*images: [{
                    name: "ACME logo",
                    url: "images/acme-logo.png"
                }],*/
                report_def: report_def
            });


            // When the user clicks Save in the designer, refresh the rendering
            designer.on("save", function (reportdef) {

                report_def = JSON.parse(reportdef);
                $(".report-output").empty();
                jsreports.render({
                    report_def: report_def,
                    target: $(".report-output"),
                    datasets: data_sources
                });

                $('form').request('onQuickSave', {data: {id: report_data_id, report_definition: reportdef}, success: function(response) {
                    if ( response['operation'] == 'updated' )
                    {
                        console.log('ok');
                    }
                    else
                    {
                        console.log('not ok');
                    }
                }});


                /*

                Metodo1 now working
                 $.ajax({
                 type: "POST",
                 data: JSON.stringify(reportdef),
                 url: "api/management/worked_data",
                 contentType: "application/json"
                 });

                 Metodo2 now working
                var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    // the route pointing to the post function
                    url: 'api/reportmanager/save/2',
                    type: 'POST',
                    // send the csrf-token and the input to the controller
                    data: {
                        _token: CSRF_TOKEN,
                        title: 'Report operai',
                        id: 1,
                        report: reportdef
                    },
                    // remind that 'data' is the response of the AjaxController
                    success: function (response) {
                        //console.log(response);
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        //console.log(xhr);
                        //console.log(thrownError);
                    }
                });
                */

            });

        });
    });
</script>
<div class="report-container">

    <h1>Report Manager</h1>
    <br>
    <button class="btn edit-link">Modifica report</button>&nbsp;&nbsp;<a target="_blank" class="btn btn-primary btn-sm oc-icon-eye view-report" href="/backend/ims/reportmanager/reportwidgetcontroller/view/<?= $params["report_data_id"]; ?>">Visualizza</a>

    <div class="report-output"></div>
</div>
